Package Details: bin32-firefox 46.0-1

Git Clone URL: https://aur.archlinux.org/bin32-firefox.git (read-only)
Package Base: bin32-firefox
Description: Firefox 32bit for Arch 64 bit (en-US)
Upstream URL: http://www.mozilla.org/projects/firefox
Licenses: GPL, MPL, LGPL
Submitter: c0nd0r
Maintainer: swiftgeek (nickoe)
Last Packager: swiftgeek
Votes: 57
Popularity: 0.004456
First Submitted: 2011-12-24 19:07
Last Updated: 2016-04-26 10:46

Dependencies (13)

Required by (1)

Sources (4)

Latest Comments

vnoel commented on 2015-10-22 07:20

Not sure we can really do something about it, but firefox bin32 always tries to load plugins in /usr/lib/mozilla/plugins (on top of the ones in lib32) which creates many problems when there is for example several java plugins… (bin32 and normal) the 64 bits ones kind of take the precedence for whatever reason…

The only way I found to make java work on firefox 32 bits was to temporarily rename /usr/lib/mozilla/plugins…

Is there anything we can do to improve this situation?

swiftgeek commented on 2015-08-07 17:58

EMERGENCY BUMP: https://blog.mozilla.org/security/2015/08/06/firefox-exploit-found-in-the-wild/

swiftgeek commented on 2015-07-09 04:20

Yoink, bump

swdunlop commented on 2015-01-05 21:29

Still works; just have to bump the pkgver and rename the build hook to package to comply with makepkg changes. See https://gist.github.com/swdunlop/eab5f7890c5373bd4874 for an updated PKGBUILD.

c0nd0r commented on 2012-11-05 23:26

I don't have an internet connection available for the moment. I'll be back in two weeks and I'll update the package then. Sorry for the inconveniences.

foutrelis commented on 2011-12-24 19:59

Please use https://aur.archlinux.org/packages.php?ID=55262

Det commented on 2011-12-22 19:29

You request this in the AML: http://mailman.archlinux.org/mailman/listinfo/aur-general

Just send a mail to: aur-general@archlinux.org

It'd probably help to check out other people's remove/orphan/rename requests from this month: http://mailman.archlinux.org/pipermail/aur-general/2011-December/thread.html

c0nd0r commented on 2011-12-20 14:08

I don't know, should it? How do you rename the package?

techlive commented on 2011-12-20 04:44

Should this package be renamed to bin32-firefox?

Anonymous comment on 2010-10-10 10:59

this package is broken for me, because it can't even DOWNLOAD the dependencies...

No such file “orbit2-2.14.18-1-i686.pkg.tar.xz”.

==> ERROR: Failure while downloading orbit2-2.14.18-1-i686.pkg.tar.xz
Aborting...
==> ERROR: Makepkg was unable to build lib32-orbit2.
==> Restart building lib32-orbit2 ? [y/N]
==> -------------------------------------
==>
==> WARNING: Following packages have not been installed:
lib32-orbit2

==> WARNING: Dependencies have been installed before the failure
==> Restart building lib32-gconf ? [y/N]
==> ------------------------------------
==>
==> WARNING: Following packages have not been installed:
lib32-gconf

==> WARNING: Dependencies have been installed before the failure
==> Restart building firefox32 ? [y/N]
==> ----------------------------------
==>
==> WARNING: Following packages have not been installed:
firefox32

Anonymous comment on 2010-10-04 19:12

nt@eNTi $ firefox32
/opt/firefox32/run-mozilla.sh: line 143: /opt/firefox32/firefox32-bin: No such file or directory

nt@eNTi $ which firefox32
/usr/bin/firefox32

nt@eNTi $ ls /opt/firefox32/firefox32*
/opt/firefox32/firefox32 /opt/firefox32/firefox32-bin

nt@eNTi $ file /opt/firefox32/firefox32*
/opt/firefox32/firefox32: POSIX shell script text executable
/opt/firefox32/firefox32-bin: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.9, stripped

i don't get it...


trya commented on 2010-09-08 20:42

Updated to upstream. I can't build Firefox with a multilib compiler (it tries to build 64-bit specific code), so we stay with a binary distribution. I edited the startup script to correctly detect the Flash plugin if you installed flashplugin from [multilib], so you have Flash in either 64-bit (via nspluginwrapper) and 32-bit Firefox. This should apply to others 32-bit-only plugins.

trya commented on 2010-09-05 15:36

Finally works with [multilib], but I'm still planning to compile a 32-bit version...

trya commented on 2010-08-28 13:37

This distribution of Firefox does not seem to work with multilib packages. I will try to compile 32-bit Firefox with a multilib compiler.

Anonymous comment on 2010-07-22 15:25

@ricardofunke

It's intereesting, I get similar messages.

To solve the missing libgnomebreakpad.so, install the AUR package lib32-bug-buddy (see the notes, you may have to change one PKGBUILD from extra to core)

But I cannot solve the problem with libgvfsdbus.so.

Firefox32 is looking for a 32-bit module, but it encounters the 64-bit module installed by Gnome instead.

It should be looking for /opt/lib32/usr/lib/gio/modules/libgvfsdbus.so (32-bit)

not the /usr/lib/gio/modules/libgvfsdbus.so (64-bit)

Anonymo commented on 2010-06-16 16:18

Needs lib32-alsa-lib as dependancy

ricardofunke commented on 2010-06-10 21:44

I installed this packages;
- lib32-libcanberra
- lib32-gvfs

Now, just these messages ares displaying:

Gtk-Message: Failed to load module "/opt/lib32/usr/lib/gtk-2.0/modules/libgnomebreakpad.so": /opt/lib32/usr/lib/gtk-2.0/modules/libgnomebreakpad.so: cannot open shared object file: Arquivo ou diretório não encontrado
Gtk-Message: Failed to load module "/opt/lib32/usr/lib/gtk-2.0/modules/libgnomebreakpad.so": /opt/lib32/usr/lib/gtk-2.0/modules/libgnomebreakpad.so: cannot open shared object file: Arquivo ou diretório não encontrado
/usr/lib/gio/modules/libgvfsdbus.so: wrong ELF class: ELFCLASS64
Failed to load module: /usr/lib/gio/modules/libgvfsdbus.so

'Cause I can't find packages for libgvfsdbus.so and libgnomebreakpad.so

ricardofunke commented on 2010-06-10 21:13

It's working very well, but still display the messages above:


Gtk-Message: Failed to load module "/opt/lib32/usr/lib/gtk-2.0/modules/libgnomebreakpad.so": /opt/lib32/usr/lib/gtk-2.0/modules/libgnomebreakpad.so: cannot open shared object file: Arquivo ou diretório não encontrado
Gtk-Message: Failed to load module "canberra-gtk-module": /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so: wrong ELF class: ELFCLASS64
/usr/lib/gio/modules/libgvfsdbus.so: wrong ELF class: ELFCLASS64
Failed to load module: /usr/lib/gio/modules/libgvfsdbus.so


what's pastebin?

ricardofunke commented on 2010-06-10 21:08

The following error ocurred, firefox opened but took


~]$ firefox32
Gtk-Message: Failed to load module "/opt/lib32/usr/lib/gtk-2.0/modules/libgnomebreakpad.so": /opt/lib32/usr/lib/gtk-2.0/modules/libgnomebreakpad.so: cannot open shared object file: Arquivo ou diretório não encontrado

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64
Gtk-Message: Failed to load module "canberra-gtk-module": /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so: wrong ELF class: ELFCLASS64
Gtk-Message: Failed to load module "/opt/lib32/usr/lib/gtk-2.0/modules/libgnomebreakpad.so": /opt/lib32/usr/lib/gtk-2.0/modules/libgnomebreakpad.so: cannot open shared object file: Arquivo ou diretório não encontrado

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64
Gtk-Message: Failed to load module "canberra-gtk-module": /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so: wrong ELF class: ELFCLASS64
/usr/lib/gio/modules/libgvfsdbus.so: wrong ELF class: ELFCLASS64
Failed to load module: /usr/lib/gio/modules/libgvfsdbus.so

td123 commented on 2010-06-10 20:20

Can you also install lib32-gtk-engines and try again?
I will update the dependencies once you get it running.

P.S. We have a pastebin for a reason :)

td123 commented on 2010-06-10 20:19

Can you also install lib32-gtk-engines and try again?

P.S. We have a pastebin for a reason :)

ricardofunke commented on 2010-06-10 20:04

The following error ocurred, firefox opened but took


~]$ firefox32
Gtk-Message: Failed to load module "/opt/lib32/usr/lib/gtk-2.0/modules/libgnomebreakpad.so": /opt/lib32/usr/lib/gtk-2.0/modules/libgnomebreakpad.so: cannot open shared object file: Arquivo ou diretório não encontrado

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64
Gtk-Message: Failed to load module "canberra-gtk-module": /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so: wrong ELF class: ELFCLASS64
Gtk-Message: Failed to load module "/opt/lib32/usr/lib/gtk-2.0/modules/libgnomebreakpad.so": /opt/lib32/usr/lib/gtk-2.0/modules/libgnomebreakpad.so: cannot open shared object file: Arquivo ou diretório não encontrado

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64

(firefox32-bin:6508): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so: wrong ELF class: ELFCLASS64
Gtk-Message: Failed to load module "canberra-gtk-module": /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so: wrong ELF class: ELFCLASS64
/usr/lib/gio/modules/libgvfsdbus.so: wrong ELF class: ELFCLASS64
Failed to load module: /usr/lib/gio/modules/libgvfsdbus.so

td123 commented on 2010-06-10 18:00

could you install lib32-alsa-lib-fixed and see if it works?

ricardofunke commented on 2010-06-10 17:51

Not working,

when I run on terminal:

~]$ firefox32
/opt/firefox32/firefox32-bin: error while loading shared libraries: libasound.so.2: wrong ELF class: ELFCLASS64